<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SaveToCSV Method (IEdmBomView3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomView3 Interface : SaveToCSV Method (IEdmBomView3)

Visual Basic
C#
C++/CLI

bsFilePath
  Path and file name (*.CSV) to which to save this BOM

bCreateLevelColumn
  True to include a level column in the CSV file for an indented BOM, false to not

Saves this BOM to a comma separated values (CSV) file.

# Syntax

Visual Basic |
--- | ---

    Sub SaveToCSV( _
       ByVal bsFilePath As System.String, _
       ByVal bCreateLevelColumn As System.Boolean _
    )

C# |
--- | ---

    void SaveToCSV(
       System.string bsFilePath,
       System.bool bCreateLevelColumn
    )

C++/CLI |
--- | ---

    void SaveToCSV(
    &   System.String^ bsFilePath,
    &   System.bool bCreateLevelColumn
    )

#### Parameters

bsFilePath
  Path and file name (*.CSV) to which to save this BOM
bCreateLevelColumn
  True to include a level column in the CSV file for an indented BOM, false to not

# Example

See the IEdmBomView3 examples.

# See Also

####

IEdmBomView3 Interface
IEdmBomView3 Members

# Availability

SOLIDWORKS PDM Professional 2017